Bug 639914 (CVE-2010-3564)

Summary: CVE-2010-3564 OpenJDK kerberos vulnerability (6958060)
Product: [Other] Security Response Reporter: Marc Schoenefeld <mschoene>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ahughes, aph, dbhole, jlieskov, jvanek, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-10 21:23:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 639951, 639952, 639953, 639954    
Bug Blocks:    

Comment 2 Jan Lieskovsky 2010-10-13 15:28:11 UTC
The Kerberos implementation improperly checked the sanity of AP-REQ requests,
which could cause a denial of service condition in the receiving Java Virtual
Machine. (CVE-2010-3564) 

The CVSSv2 scored upstream is
cvss2=4.0/AV:N/AC:L/Au:S/C:N/I:N/A:P

Reference: 
http://www.oracle.com/technetwork/topics/security/javacpuoct2010-176258.html

Comment 3 errata-xmlrpc 2010-10-13 16:24:36 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0768 https://rhn.redhat.com/errata/RHSA-2010-0768.html

Comment 4 errata-xmlrpc 2010-11-10 18:51:04 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0865 https://rhn.redhat.com/errata/RHSA-2010-0865.html